org.apache.hadoop.hdfs.client.impl

## Class BlockReaderFactory.FailureInjector

- java.lang.Object
- - org.apache.hadoop.hdfs.client.impl.BlockReaderFactory.FailureInjector

- Enclosing class:
    org.apache.hadoop.hdfs.client.impl.BlockReaderFactory

      public static class BlockReaderFactory.FailureInjector
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailureInjector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getSupportsReceiptVerification()`
    `void` | `injectRequestFileDescriptorsFailure()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailureInjector

          public FailureInjector()

  - ### Method Detail

    - #### injectRequestFileDescriptorsFailure

          public void injectRequestFileDescriptorsFailure()
                                                   throws IOException

      Throws:
        `IOException`

    - #### getSupportsReceiptVerification

          public boolean getSupportsReceiptVerification()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.